/* ================================================= */
/* CSS for control sap.ui.commons/Button.control     */
/* SAP-HCB Theme                                     */
/* ================================================= */

@sapUiButtonHeight: 18px;

.sapUiBtnS {
	border-radius: 2px;
	font-size: @sapUiDesktopFontSize;
	padding: 0 4px 0 5px;
	color: @sapHCStandardFG;
}

.sapUiBtnS.sapUiBtnLite,
.sapUiBtnS.sapUiBtnLite > .sapUiBtnTxt {
	text-decoration: underline;
}

.sapUiBtnS.sapUiBtnStd {
	&.sapUiBtnReject,
	&.sapUiBtnAccept {
		color: @sapHCStandardFG;
	}
}

html[data-sap-ui-browser^="ie"] .sapUiBtnS {
	line-height: normal;
}

.sapUiBtnS > .sapUiBtnIco {
	margin-top: -1px;
}

html[data-sap-ui-browser="sf5"] .sapUiBtnS > .sapUiBtnIco {
	margin-top: -1px;
}

html[data-sap-ui-browser="sf5"] .sapUiBtnS.sapUiBtnLite > .sapUiBtnIco,
html[data-sap-ui-browser="sf5"] .sapUiBtnS.sapUiBtnLite > .sapUiBtnTxt {
	margin-top: -1px;
}

.sapUiBtnS.sapUiBtnIconOnly {
	padding-right: 5px;
}

html[data-sap-ui-browser*="ie"] .sapUiBtnS.sapUiBtnIconOnly {
	padding-top: 1px;
}

.sapUiBtnS.sapUiBtnIconOnly > .sapUiBtnIco {
	margin-top: -1px;
}

html[data-sap-ui-browser*="ff"] .sapUiBtnS.sapUiBtnIconOnly > .sapUiBtnIco {
	margin-top: -2px;
}

.sapUiBtnS > .sapUiBtnIcoR {
	padding-right: 1px;
	padding-left: 4px;
}

html[data-sap-ui-browser^="ie"] .sapUiBtnS.sapUiBtnNorm.sapUiBtnDsbl:active {
	padding-bottom: 2px;
	padding-left: 5px;
	padding-right: 6px;
}

html[data-sap-ui-browser^="ie"] .sapUiBtnS.sapUiBtnLite.sapUiBtnDsbl:active {
	padding-bottom: 2px;
	padding-left: 4px;
	padding-right: 5px;
}

.sapUiBtn > span.sapUiBtnIco{
	margin-top: -1px;
}

html[data-sap-ui-browser^="ie9"],
html[data-sap-ui-browser^="ie10"],
html[data-sap-ui-browser^="ie11"] {
	.sapUiBtnS {
		&.sapUiBtnAct:not(.sapUiBtnIconAndText) {
			padding-bottom: 2px;
			padding-left: 4px;
			padding-right: 5px;
		}
		&.sapUiBtnDsbl:not(.sapUiBtnIconAndText):active {
			padding-bottom: 2px;
			padding-left: 4px;
			padding-right: 5px;
		}
		&.sapUiBtnNorm {
			&.sapUiBtnIconOnly.sapUiBtnAct:active {
				padding-top: 0;
				padding-right: 6px;
			}
			&.sapUiBtnIconAndText:active {
				padding-top: 0;
				padding-left: 4px;
				padding-right: 5px;
				span,
				img {
					margin-top: -2px;
				}
			}
		}
		&.sapUiBtnLite {
			&.sapUiBtnIconOnly.sapUiBtnAct:active {
				padding-top: 0;
				padding-bottom: 1px;
				padding-left: 4px;
				padding-right: 6px;
			}
			&.sapUiBtnIconAndText:active {
				padding-top: 0;
				padding-left: 4px;
				padding-right: 5px;
				span,
				img {
					margin-top: -3px;
				}
			}
		}
	}
}
